This service will be undergoing maintenance at 03:30 UTC, 2016-05-27. It is expected to last about 2 hours
Bug 648102 - anaconda fails to uprade F14 to F15 because of a vfat partition
anaconda fails to uprade F14 to F15 because of a vfat partition
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: lorax (Show other bugs)
15
Unspecified Linux
low Severity medium
: ---
: ---
Assigned To: Martin Gracik
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-30 18:19 EDT by T-Gergely
Modified: 2013-07-04 08:52 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 15:36:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description T-Gergely 2010-10-30 18:19:30 EDT
After preupgrade (F12 to F13) rebooted the system to the installer, I got an error message stating that /dev/sda5 can't be mounted to /mnt/sda5. Installation stopped, and rebooted to F12. I had to comment the following line in /etc/fstab and reboot to the upgrader to be able to upgrade.
"UUID=4894-1460          /mnt/sda5               vfat    user,umask=077,uid=500,codepage=852,iocharset=utf8,uni_xlate,showexec 0 0"
Comment 1 Chris Lumens 2010-10-30 23:02:55 EDT
Please attach the complete error message, as well as /tmp/anaconda.log and /tmp/program.log to this bug report.  Thanks.
Comment 2 T-Gergely 2010-10-31 05:13:15 EDT
Yeah, I _was_ looking for log files before reporting this bug, but I couldn't find anything useful (only /tmp/ks-script-On5XKf related to this upgrade:
grubby --remove-kernel=/boot/upgrade/vmlinuz
rm -rf /boot/upgrade /var/cache/yum/preupgrade*)
Next time, when I upgrade Fedora to version 14, I will look for these files if I see this error again and reopen this bug.

I just downloaded anaconda source, and looked for what I remember was the error message in po/hu.po. I'm fairly sure I've found it.
#: storage/__init__.py:1990
#, python-format
msgid ""
"An error occurred mounting device %(path)s as %(mountpoint)s: %(msg)s. This "
"is a fatal error and the install cannot continue.\n"
"\n"
"Press <Enter> to exit the installer."
msgstr ""
"A(z) %(path)s eszközt %(mountpoint)s helyre csatolása közben hiba történt: %"
"(msg)s. Ez végzetes hiba, a telepítés nem folytatható.\n"
"\n"
"Nyomjon <Enter>-t a telepítőből való kilépéshez."

%(path)s was /dev/sda5
%(mountpoint)s was /mnt/sda5
Alas, I don't remember %(msg)s, but I don't think it was something particularly specific (like unknown codepage, etc).
Comment 3 Chris Lumens 2010-11-01 10:21:22 EDT
Thanks, the codepage bit is specific enough to tell me what's wrong.  Next time you do an upgrade, you can temporarily work around it by removing the codepage= and iocharset= bits beforehand, then adding them back after upgrade.

The problem here is that we don't have any of the NLS kernel modules in the anaconda initrd.
Comment 4 T-Gergely 2010-11-01 16:07:41 EDT
A meant I hadn't seen anything about the codepage (maybe I should have looked around in the other virtual consoles), it was just a guess.

As this is not a Linux partition, I don't need it during the upgrade. Anaconda should let me continue the upgrade without mounting it. I've found a message that would be more appropriate:
#: storage/__init__.py:1966
#, python-format
msgid ""
"An error occurred mounting device %(path)s as %(mountpoint)s.  You may "
"continue installation, but there may be problems."
msgstr ""
"A(z) %(path)s eszköz %(mountpoint)s pontra való becsatolása közben hiba "
"történt.  Folytathatja a telepítést, de további hibák léphetnek fel."
Comment 5 Chris Lumens 2010-11-02 11:25:26 EDT
It's hard to know how to address this without knowing what the exact error message is.
Comment 6 T-Gergely 2011-03-20 02:54:29 EDT
Because you were so picky about the exact error message, I provide it now that I face the same bug at upgrading to F14.

tail -1 anaconda.log:
06:26:03,012 DEBUG anaconda: isys.py:mount()- going to mount /dev/sda5 on /mnt/sysimage/mnt/sda5 as vfat with options user,umask=077,uid=500,codepage=852,iocharset=utf8,uni_xlate,showexec

tail -1 dmesg 
[   25.882310] FAT: codepage cp852 not found

tail -6 program.log 
06:26:03,015 INFO program: Running... /bin/mount -n -t vfat -o user,umask=077,uid=500,codepage=852,iocharset=utf8,uni_xlate,showexec /dev/sda5 /mnt/sysimage/mnt/sda5
06:26:03,035 ERR program: mount: wrong fs type, bad option, bad superblock on /dev/sda5,
       missing codepage or helper program, or other error
       In some cases useful info is found in syslog - try
       dmesg | tail  or so

I still claim it shouldn't be a fatal error, as I don't need that partition for upgrading.
Comment 7 Bug Zapper 2011-05-30 10:29:18 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 T-Gergely 2011-06-05 17:13:54 EDT
Same bug at upgrading F14 to F15.
Comment 9 Fedora End Of Life 2012-08-07 15:36:27 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.